2011年9月18日

[ruby-list:48371] [ANN] Ruby-GNOME2 1.0.1

須藤です。

Ruby-GNOME2プロジェクトはRuby-GNOME2 1.0.1をリリースしました。

Web:
http://ruby-gnome2.sourceforge.jp/

インストール:

gem install gtk2

= Ruby-GNOME2について

Ruby-GNOME2はGNOME 2.xで使用されるGTK+ 2.xなどの主要なライブ
ラリのRubyバインディング集です。

GTK+はマルチプラットフォーム対応のGUIツールキットなので、マ
ルチプラットフォーム対応のGUIアプリケーションをRubyで書くこ
とができます。

サポートしているライブラリは以下の通りです。

* Ruby/GLib2 - 基本的かつ便利なユーティリティクラス群。および、
GLib::Objectをはじめとする基本クラスを提供。他のライブラリ
から参照される
* Ruby/ATK - アクセシビリティ
* Ruby/Pango - 国際化されたテキスト・フォント処理
* Ruby/GdkPixbuf2 - イメージ(画像)処理
* Ruby/GTK2 - GUIコンポーネント
* Ruby/GStreamer - 動画・音声処理
* Ruby/GooCanvas - cairoで描画するキャンバスウィジェット
* Ruby/GtkSourceView2- テキストエディタ向けの高度なテキスト表示コンポーネント
(言語毎にキーワードを強調する等)
(gtksourceview 2.x用)
* Ruby/Poppler - PDFレンダリング用のライブラリ
* Ruby/RSVG - SVG処理
* Ruby/VTE - ターミナルエミュレータ用のウィジェット

= このリリースについて

このリリースは1.0.0のバグフィックスリリースです。

= 各種リソース

- メーリングリスト
http://sourceforge.net/mail/?group_id=53614

- Ruby-GNOME2 APIリファレンス
http://ruby-gnome2.sourceforge.jp/ja/hiki.cgi?Ruby-GNOME2+API+Reference

- チュートリアル
http://ruby-gnome2.sourceforge.jp/ja/hiki.cgi?tutorials


投稿者 xml-rpc : 2011年9月18日 19:27
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/107015
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。